## globus-gram-job-manager 10.42

=== debian/changelog ===
globus-gram-job-manager (10.42-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)
  * Add new build dependency on texlive-font-utils due to changes in texlive
    packaging (epstopdf moved there) (Closes: #583050)
  * Additional porting for GNU Hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Apr 2010 06:06:23 +0200

globus-gram-job-manager (10.42-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 15 Apr 2010 18:53:52 +0200

globus-gram-job-manager (10.17-2) unstable; urgency=low

  * Fix broken Depends

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Feb 2010 04:38:29 +0100

globus-gram-job-manager (10.17-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0
  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 28 Jan 2010 01:05:28 +0100

globus-gram-job-manager (8.15-2) unstable; urgency=low

  * Fix broken Depends.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Sep 2009 09:10:58 +0200

globus-gram-job-manager (8.15-1) unstable; urgency=low

  * Initial release (Closes: #540277).

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 07 Aug 2009 15:28:38 +0200
