=== debian/control ===
Source: globus-gram-job-manager
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-scheduler-event-generator-dev (>= 1), libglobus-xio-popen-driver-dev (>= 0.7), libglobus-xio-dev (>= 2), libglobus-gss-assist-dev (>= 3), libglobus-callout-dev, libglobus-gram-job-manager-callout-error-dev, globus-core (>= 5.15-5), libglobus-gram-protocol-dev (>= 9), libglobus-common-dev (>= 3), libglobus-gsi-sysconfig-dev (>= 1), libglobus-usage-dev (>= 1), libglobus-rsl-assist-dev (>= 2), libglobus-rsl-dev (>= 3), libglobus-libxml2-dev, libglobus-gass-cache-dev (>= 5), libglobus-gram-protocol-doc (>= 9), libglobus-common-doc, doxygen (<< 1.6.2-1) | doxygen (>> 1.6.2-1), graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-extra-utils, texlive-fonts-recommended, texlive-font-utils, ghostscript | gs-gpl
Standards-Version: 3.8.4
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gram-job-manager
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gram-job-manager
Homepage: http://www.globus.org/

Package: globus-gram-job-manager
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-popen-driver0 (>= 0.7), libglobus-libxml2, globus-gram-job-manager-scripts, globus-gass-copy-progs, globus-proxy-utils, globus-gass-cache-program, globus-common-progs, globus-gatekeeper
Recommends: globus-gram-job-manager-doc (= ${binary:Version})
Description: Globus Toolkit - GRAM Jobmanager
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager package contains:
 GRAM Jobmanager
 GRAM Job Manager Setup

Package: globus-gram-job-manager-doc
Section: doc
Architecture: any
Depends: globus-gram-job-manager (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - GRAM Jobmanager Documentation Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-doc package contains:
 GRAM Jobmanager Documentation Files
 GRAM Job Manager Setup Documentation Files

Package: globus-gram-job-manager-dbg
Section: debug
Priority: extra
Architecture: any
Depends: globus-gram-job-manager (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - GRAM Jobmanager Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-dbg package contains:
 GRAM Jobmanager Debug Symbols
