=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/quilt/quilt.make

name = globus-gram-job-manager
_name = globus_gram_job_manager
version = 10.42

INSTALLDIR = $(CURDIR)/debian/tmp
GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
flavor = gcc64pthr
else
flavor = gcc32pthr
endif

sed: sed-stamp
	:

sed-stamp: $(QUILT_STAMPFN)
	dh_testdir

	for f in `find . ! -path */.pc/* -name Makefile.am` ; do \
	  sed -e 's!^flavorinclude_HEADERS!include_HEADERS!' \
	      -e 's!\(lib[a-zA-Z_]*\)_$$(GLOBUS_FLAVOR_NAME)\.la!\1.la!g' \
	      -e 's!^\(lib[a-zA-Z_]*\)___GLOBUS_FLAVOR_NAME__la_!\1_la_!' \
	    -i $$f ; \
	done
	sed -e "s!<With_Flavors!<With_Flavors ColocateLibraries=\"no\"!" \
	  -i pkgdata/pkg_data_src.gpt.in
	sed 's!/share/globus_gram_job_manager/!/share/globus/!' \
	  -i globus_gram_job_manager_validate.c

	touch $@

unsed: cleanup
	dh_testdir

	if [ -e sed-stamp ] ; then \
	  for f in `find . ! -path */.pc/* -name Makefile.am` ; do \
	    sed -e 's!^include_HEADERS!flavorinclude_HEADERS!' \
		-e 's!\(lib[a-zA-Z_]*\)\.la!\1_$$(GLOBUS_FLAVOR_NAME).la!g' \
		-e 's!^\(lib[a-zA-Z_]*\)_la_!\1___GLOBUS_FLAVOR_NAME__la_!' \
	      -i $$f ; \
	    done ; \
	  sed -e "s!<With_Flavors ColocateLibraries=\"no\"!<With_Flavors!" \
	    -i pkgdata/pkg_data_src.gpt.in ; \
	  sed 's!/share/globus/!/share/globus_gram_job_manager/!' \
	    -i globus_gram_job_manager_validate.c ; \
	fi

	rm -f sed-stamp

configure: configure-stamp
	:

configure-stamp: sed-stamp
	dh_testdir

	/usr/share/globus/globus-bootstrap.sh

	for f in config.sub config.guess ; do \
	  if [ -e /usr/share/misc/$$f -a ! -e $$f.dist ] ; then \
	    mv $$f $$f.dist ; \
	    cp -f /usr/share/misc/$$f $$f ; \
	  fi ; \
	done

	./configure \
	   --host=$(DEB_HOST_GNU_TYPE) \
	   --build=$(DEB_BUILD_GNU_TYPE) \
	   --prefix=$(_prefix) \
	   --mandir='$${datadir}/man' \
	   --infodir='$${datadir}/info' \
	   --with-flavor=$(flavor) \
	   --enable-doxygen

	cd setup && /usr/share/globus/globus-bootstrap.sh

	for f in config.sub config.guess ; do \
	  if [ -e /usr/share/misc/$$f -a ! -e setup/$$f.dist ] ; then \
	    mv setup/$$f setup/$$f.dist ; \
	    cp -f /usr/share/misc/$$f setup/$$f ; \
	  fi ; \
	done

	cd setup && ./configure \
	   --host=$(DEB_HOST_GNU_TYPE) \
	   --build=$(DEB_BUILD_GNU_TYPE) \
	   --prefix=$(_prefix) \
	   --mandir='$${datadir}/man' \
	   --infodir='$${datadir}/info' \
	   --without-flavor \
	   --enable-doxygen

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	cd setup && $(MAKE)

	touch $@

unpatch: unsed

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	for f in config.sub config.guess ; do \
	  if [ -e $$f.dist ] ; then \
	    mv -f $$f.dist $$f ; \
	  fi ; \
	done

	# Remove autogenerated files

	rm -f aclocal.m4
	rm -f configure
	rm -f config.guess
	rm -f config.sub
	rm -f ltmain.sh
	rm -f mkinstalldirs

	rm -f doxygen/Doxyfile*
	rm -f doxygen/Makefile.am
	rm -f pkgdata/Makefile.am
	rm -f pkgdata/*.filelist
	rm -f pkgdata/*.gpt
	rm -f globus_automake*
	rm -rf autom4te.cache

	rm -rf doxygen/doc

	rm -f globus_gram_job_manager_rsl.dox

	cd setup && if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	for f in config.sub config.guess ; do \
	  if [ -e setup/$$f.dist ] ; then \
	    mv -f setup/$$f.dist setup/$$f ; \
	  fi ; \
	done

	# Remove autogenerated files

	rm -f setup/aclocal.m4
	rm -f setup/configure
	rm -f setup/config.guess
	rm -f setup/config.sub
	rm -f setup/ltmain.sh
	rm -f setup/mkinstalldirs

	rm -f setup/doxygen/Doxyfile*
	rm -f setup/doxygen/Makefile.am
	rm -f setup/pkgdata/Makefile.am
	rm -f setup/pkgdata/*.filelist
	rm -f setup/pkgdata/*.gpt
	rm -f setup/globus_automake*
	rm -rf setup/autom4te.cache

	rm -rf setup/doxygen/doc

	find . -name Makefile.in -exec rm {} ';'

	rm -f build-stamp configure-stamp

	dh_clean debian/*.install

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	cd setup && $(MAKE) install DESTDIR=$(INSTALLDIR)

	# Register setup
	perl -MGrid::GPT::Setup -e 'my $$metadata = new Grid::GPT::Setup(package_name => "$(_name)_setup", globusdir => "$(INSTALLDIR)$(_prefix)"); $$metadata->finish();'

	# These scripts are intended to be sourced, not executed
	chmod 644 \
	  $(INSTALLDIR)$(_datadir)/globus/globus-personal-gatekeeper-version.sh
	chmod 644 \
	  $(INSTALLDIR)$(_datadir)/globus/setup/setup-globus-gram-job-manager.pl

	# Move files into globus tree
	mv $(INSTALLDIR)$(_datadir)/$(_name)/* $(INSTALLDIR)$(_datadir)/globus
	rmdir $(INSTALLDIR)$(_datadir)/$(_name)
	sed s!share/$(_name)!share/globus! \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_data.filelist

	# Move documentation to default debian location
	mv $(INSTALLDIR)$(_docdir)/$(_name) $(INSTALLDIR)$(_docdir)/$(name)
	sed s!doc/$(_name)!doc/$(name)! \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist
	mv $(INSTALLDIR)$(_docdir)/$(_name)_setup \
	  $(INSTALLDIR)$(_docdir)/$(name)-setup
	sed s!doc/$(_name)_setup!doc/$(name)-setup! \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)_setup/noflavor_doc.filelist

	# Fix doxygen glitches
	for f in globus_gram_job_manager_configuration.3 \
		 globus_gram_job_manager_job_execution_environment.3 \
		 globus_gram_job_manager_rsl_validation_file.3 \
		 globus_gram_job_manager_rsl.3 ; do \
	  sed 's/P\.RS/P\n.RS/' -i $(INSTALLDIR)$(_mandir)/man3/$$f ; \
	done

	# Generate package filelists
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_data.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)_setup/noflavor_pgm.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/$(name).install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)_setup/noflavor_doc.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/$(name)-doc.install

	echo debian/tmp$(_datadir)/globus/packages/setup/$(_name)_setup/$(_name)_setup.gpt \
	  >> debian/$(name).install

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	mkdir -p debian/$(name)-doc$(_docdir)
	ln -s $(name) debian/$(name)-doc$(_docdir)/$(name)-doc
	dh_installchangelogs
	dh_installdocs
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip --dbg-package=globus-gram-job-manager-dbg
	dh_compress -X .tag
	dh_fixperms
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ ! -r gt5.0.1-all-source-installer.tar.bz2 ] ; then \
	    echo "Downloading Globus Toolkit release." ; \
	    echo "This should be necessary only once for all globus packages." ; \
	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.1/installers/src/gt5.0.1-all-source-installer.tar.bz2 ; \
	  fi ; \
	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
	  tar -xjf gt5.0.1-all-source-installer.tar.bz2 \
	    gt5.0.1-all-source-installer/source-trees/gram/jobmanager/source \
	    gt5.0.1-all-source-installer/source-trees/gram/jobmanager/setup/program ; \
	  mv gt5.0.1-all-source-installer/source-trees/gram/jobmanager/source \
	    $(name)-$(version) ; \
	  mv gt5.0.1-all-source-installer/source-trees/gram/jobmanager/setup/program \
