## globus-gram-job-manager 10.59

=== debian/changelog ===
globus-gram-job-manager (10.59-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2
  * Move client and server man pages to main package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 14:19:46 +0200
