=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 name = globus-gram-job-manager
 _name = globus_gram_job_manager
-version = 10.42
+version = 10.59
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages
@@ -221,6 +221,11 @@
 	rmdir $(INSTALLDIR)$(_datadir)/$(_name)
 	sed s!share/$(_name)!share/globus! \
 	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_data.filelist
+
+	# Move client and server man pages to main package
+	grep '.[18]$$' $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
+	  >> $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist
+	sed '/.[18]$$/d' -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist
 
 	# Move documentation to default debian location
 	mv $(INSTALLDIR)$(_docdir)/$(_name) $(INSTALLDIR)$(_docdir)/$(name)
@@ -282,15 +287,11 @@
 	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
 	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
 	else \
-	  if [ ! -r gt5.0.1-all-source-installer.tar.bz2 ] ; then \
+	  if [ ! -r gt5.0.2-all-source-installer.tar.bz2 ] ; then \
 	    echo "Downloading Globus Toolkit release." ; \
 	    echo "This should be necessary only once for all globus packages." ; \
-	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.1/installers/src/gt5.0.1-all-source-installer.tar.bz2 ; \
+	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.2/installers/src/gt5.0.2-all-source-installer.tar.bz2 ; \
 	  fi ; \
 	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
-	  tar -xjf gt5.0.1-all-source-installer.tar.bz2 \
-	    gt5.0.1-all-source-installer/source-trees/gram/jobmanager/source \
-	    gt5.0.1-all-source-installer/source-trees/gram/jobmanager/setup/program ; \
-	  mv gt5.0.1-all-source-installer/source-trees/gram/jobmanager/source \
-	    $(name)-$(version) ; \
-	  mv gt5.0.1-all-source-installer/source-trees/gram/jobmanager/setup/program \
+	  tar -xjf gt5.0.2-all-source-installer.tar.bz2 \
+	    gt5.0.2-all-source-installer/source-trees/gram/jobmanager/source \
