## globus-gram-job-manager 10.67

=== debian/changelog ===
globus-gram-job-manager (10.67-3) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616227)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Apr 2011 08:08:00 +0200

globus-gram-job-manager (10.67-2) unstable; urgency=low

  * Updated patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 19 Apr 2011 11:05:34 +0200

globus-gram-job-manager (10.67-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 Feb 2011 17:40:46 +0100
