=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: globus-gram-job-manager
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-scheduler-event-generator-dev (>= 1), libglobus-xio-popen-driver-dev (>= 0.7), libglobus-xio-dev (>= 2), libglobus-gss-assist-dev (>= 3), globus-core (>= 5.15-5), libglobus-gsi-sysconfig-dev (>= 1), libglobus-rsl-assist-dev (>= 2), libglobus-callout-dev, libglobus-gram-job-manager-callout-error-dev, libglobus-gram-protocol-dev (>= 9), libglobus-common-dev (>= 3), libglobus-usage-dev (>= 1), libglobus-rsl-dev (>= 3), libglobus-gass-cache-dev (>= 5), libglobus-libxml2-dev, libglobus-gass-transfer-dev (>= 4), libglobus-gram-protocol-doc (>= 9), libglobus-common-doc, doxygen (<< 1.6.2-1) | doxygen (>> 1.6.2-1), graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-extra-utils, texlive-fonts-recommended, texlive-font-utils, ghostscript | gs-gpl
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-scheduler-event-generator-dev (>= 1), libglobus-xio-popen-driver-dev (>= 0.7), libglobus-xio-dev (>= 2), libglobus-gss-assist-dev (>= 3), globus-core (>= 5.15-5), libglobus-gsi-sysconfig-dev (>= 1), libglobus-rsl-assist-dev (>= 2), libglobus-callout-dev, libglobus-gram-job-manager-callout-error-dev, libglobus-gram-protocol-dev (>= 9), libglobus-common-dev (>= 11.6), libglobus-usage-dev (>= 1), libglobus-rsl-dev (>= 3), libglobus-gass-cache-dev (>= 5), libglobus-libxml2-dev, libglobus-gass-transfer-dev (>= 4), libglobus-gram-protocol-doc (>= 9), libglobus-common-doc, doxygen-latex, graphviz, texlive-fonts-recommended, texlive-font-utils, ghostscript
+Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gram-job-manager
@@ -12,7 +12,7 @@
 Package: globus-gram-job-manager
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-popen-driver0 (>= 0.7), libglobus-libxml2, globus-gram-job-manager-scripts, globus-gass-copy-progs, globus-proxy-utils, globus-gass-cache-program, globus-common-progs, globus-gatekeeper
+Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-popen-driver0 (>= 0.7), libglobus-libxml2, globus-gram-job-manager-scripts, globus-gass-copy-progs, globus-proxy-utils, globus-gass-cache-program, globus-common-progs, globus-gatekeeper, libglobus-common0 (>= 11.6)
 Recommends: globus-gram-job-manager-doc (= ${binary:Version})
 Breaks: globus-gram-job-manager-doc (<< 10.59)
 Description: Globus Toolkit - GRAM Jobmanager
