=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 name = globus-gram-job-manager
 _name = globus_gram_job_manager
-version = 10.59
+version = 10.67
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages
@@ -265,7 +265,7 @@
 	mkdir -p debian/$(name)-doc$(_docdir)
 	ln -s $(name) debian/$(name)-doc$(_docdir)/$(name)-doc
 	dh_installchangelogs
-	dh_installdocs
+	dh_installdocs debian/README
 	dh_install --fail-missing
 	dh_installman
 	dh_link
@@ -287,11 +287,11 @@
 	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
 	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
 	else \
-	  if [ ! -r gt5.0.2-all-source-installer.tar.bz2 ] ; then \
+	  if [ ! -r gt5.0.3-all-source-installer.tar.bz2 ] ; then \
 	    echo "Downloading Globus Toolkit release." ; \
 	    echo "This should be necessary only once for all globus packages." ; \
-	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.2/installers/src/gt5.0.2-all-source-installer.tar.bz2 ; \
+	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.3/installers/src/gt5.0.3-all-source-installer.tar.bz2 ; \
 	  fi ; \
 	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
-	  tar -xjf gt5.0.2-all-source-installer.tar.bz2 \
-	    gt5.0.2-all-source-installer/source-trees/gram/jobmanager/source \
+	  tar -xjf gt5.0.3-all-source-installer.tar.bz2 \
+	    gt5.0.3-all-source-installer/source-trees/gram/jobmanager/source \
