## globus-gram-job-manager 10.70

=== debian/changelog ===
globus-gram-job-manager (10.70-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.4
  * Fix doxygen markup
  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 06 Jun 2011 17:32:12 +0200
