=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Package: globus-gram-job-manager-doc
 Section: doc
 Architecture: any
-Depends: globus-gram-job-manager (= ${binary:Version}), ${misc:Depends}
+Depends: globus-gram-job-manager (= ${binary:Version}), ${misc:Depends}, ${js:Depends}
 Description: Globus Toolkit - GRAM Jobmanager Documentation Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
