=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 name = globus-gram-job-manager
 _name = globus_gram_job_manager
-version = 10.67
+version = 10.70
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages
@@ -243,6 +243,22 @@
 		 globus_gram_job_manager_rsl.3 ; do \
 	  sed 's/P\.RS/P\n.RS/' -i $(INSTALLDIR)$(_mandir)/man3/$$f ; \
 	done
+
+	# Use system jquery script
+	jsdepends= ; \
+	if [ -r $(INSTALLDIR)$(_docdir)/$(name)/html/jquery.js ] ; then \
+	  rm $(INSTALLDIR)$(_docdir)/$(name)/html/jquery.js ; \
+	  ln -s /usr/share/javascript/jquery/jquery.js \
+	    $(INSTALLDIR)$(_docdir)/$(name)/html/jquery.js ; \
+	  jsdepends=libjs-jquery ; \
+	fi ; \
+	if [ -r $(INSTALLDIR)$(_docdir)/$(name)-setup/html/jquery.js ] ; then \
+	  rm $(INSTALLDIR)$(_docdir)/$(name)-setup/html/jquery.js ; \
+	  ln -s /usr/share/javascript/jquery/jquery.js \
+	    $(INSTALLDIR)$(_docdir)/$(name)-setup/html/jquery.js ; \
+	  jsdepends=libjs-jquery ; \
+	fi ; \
+	echo js:Depends=$$jsdepends >> debian/$(name)-doc.substvars
 
 	# Generate package filelists
 	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist \
@@ -280,18 +296,3 @@
 	dh_md5sums
 	dh_builddeb
 
-binary: binary-indep binary-arch
-	:
-
-get-orig-source:
-	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
-	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
-	else \
-	  if [ ! -r gt5.0.3-all-source-installer.tar.bz2 ] ; then \
-	    echo "Downloading Globus Toolkit release." ; \
-	    echo "This should be necessary only once for all globus packages." ; \
-	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.3/installers/src/gt5.0.3-all-source-installer.tar.bz2 ; \
-	  fi ; \
-	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
-	  tar -xjf gt5.0.3-all-source-installer.tar.bz2 \
-	    gt5.0.3-all-source-installer/source-trees/gram/jobmanager/source \
