## globus-gram-job-manager 13.14

=== debian/changelog ===
globus-gram-job-manager (13.14-5) unstable; urgency=low

  * Fix directory ownership

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 02 Feb 2012 21:57:46 +0100

globus-gram-job-manager (13.14-4) unstable; urgency=low

  * debian/rules cleanup

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Jan 2012 23:35:08 +0100

globus-gram-job-manager (13.14-3) unstable; urgency=low

  * Add missing Build-Depends: globus-common-progs and libxml2-dev
  * Portability fixes
  * Fix broken links in README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 19 Jan 2012 06:14:08 +0100

globus-gram-job-manager (13.14-2) unstable; urgency=low

  * Fix typo in Depends

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 Jan 2012 20:18:21 +0100

globus-gram-job-manager (13.14-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.0
  * Drop patches globus-gram-job-manager-doxygen.patch,
    globus-gram-job-manager.patch, globus-gram-job-manager-pathmax.patch and
    globus-gram-job-manager-undefined.patch (fixed upstream)
  * Make doc package architecture independent

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 30 Dec 2011 13:35:02 +0100

globus-gram-job-manager (10.70-2) unstable; urgency=low

  * Fix FTBFS with new dpkg (Closes: #643481)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 03 Oct 2011 05:24:45 +0200
