=== debian/control ===
Source: globus-gram-job-manager
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-gsi-credential-dev (>= 5), libglobus-scheduler-event-generator-dev (>= 4), libglobus-xio-popen-driver-dev (>= 2), libglobus-xio-dev (>= 3), libglobus-gss-assist-dev (>= 8), libglobus-callout-dev (>= 2), libglobus-gram-job-manager-callout-error-dev (>= 2), libglobus-gssapi-gsi-dev (>= 10), libglobus-gram-protocol-dev (>= 11), libglobus-common-dev (>= 14), libglobus-gsi-sysconfig-dev (>= 5), libglobus-usage-dev (>= 3), libglobus-rsl-dev (>= 9), libglobus-gass-cache-dev (>= 8), libglobus-gass-transfer-dev (>= 7), globus-common-progs (>= 14), libglobus-common-doc (>= 14), libglobus-gram-protocol-doc (>= 11), libssl-dev, libxml2-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
Standards-Version: 3.9.2
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gram-job-manager
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gram-job-manager
Homepage: http://www.globus.org/

Package: globus-gram-job-manager
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-popen-driver0 (>= 2), libglobus-gram-protocol3 (>= 11), globus-gram-job-manager-scripts (>= 4), globus-gass-copy-progs (>= 8), globus-proxy-utils (>= 5), globus-gass-cache-program (>= 5), globus-gatekeeper (>= 9)
Recommends: globus-gram-job-manager-doc (= ${source:Version})
Breaks: globus-gram-job-manager-doc (<< 10.59)
Description: Globus Toolkit - GRAM Jobmanager
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager package contains:
 GRAM Jobmanager

Package: globus-gram-job-manager-doc
Section: doc
Architecture: all
Depends: globus-gram-job-manager (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
Description: Globus Toolkit - GRAM Jobmanager Documentation Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-doc package contains:
 GRAM Jobmanager Documentation Files

Package: globus-gram-job-manager-dbg
Section: debug
Priority: extra
Architecture: any
Depends: globus-gram-job-manager (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - GRAM Jobmanager Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-dbg package contains:
 GRAM Jobmanager Debug Symbols
