=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

name = globus-gram-job-manager
_name = globus_gram_job_manager
version = 13.14
soname = 13

INSTALLDIR = $(CURDIR)/debian/tmp
GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc/$(name)

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
flavor = gcc64
else
flavor = gcc32
endif

configure: configure-stamp

configure-stamp:
	dh_testdir

	aclocal_includes="-I ." /usr/share/globus/globus-bootstrap.sh

	dh_autotools-dev_updateconfig

	./configure \
	   --disable-static \
	   --with-flavor=$(flavor) \
	   --enable-doxygen \
	   --with-docdir=$(_docdir)

	# Reduce overlinking
	sed 's!CC -shared !CC \\$${wl}--as-needed -shared !g' -i libtool

	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) globus_gram_job_manager_rsl.dox

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	dh_autotools-dev_restoreconfig

	# Remove autogenerated files

	rm -f aclocal.m4
	rm -f configure
	rm -f config.guess
	rm -f config.sub
	rm -f ltmain.sh
	rm -f mkinstalldirs

	rm -f doxygen/Doxyfile*
	rm -f doxygen/Makefile.am
	rm -f pkgdata/Makefile.am
	rm -f pkgdata/*.filelist
	rm -f pkgdata/*.gpt
	rm -f pkgdata/$(name).pc
	rm -f pkgdata/pkg_data_src.pc.in
	rm -f gptdata.sh
	rm -f globus_automake*
	rm -rf autom4te.cache

	rm -rf doxygen/doc

	find . -name Makefile.in -exec rm {} ';'

	rm -f build-stamp configure-stamp

	dh_clean debian/*.install

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	# This library is opened using lt_dlopenext, so the libtool archive
	# (.la file) can not be removed - fix libdir and clear dependency_libs
	# ... and move it to the main package
	for lib in `find $(INSTALLDIR)$(_libdir) -name 'lib*.la'` ; do \
	  sed -e "s!^libdir=.*!libdir=\'$(_libdir)\'!" \
	      -e "s!^dependency_libs=.*!dependency_libs=\'\'!" -i $$lib ; \
	done
	grep 'lib.*\.la$$' $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist \
	  >> $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist
	sed '/lib.*\.la$$/d' \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist

	# Move client and server man pages to main package
	grep '.[18]$$' $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
	  >> $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist
	sed '/.[18]$$/d' -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist

	# Remove installed license file
	rm -f $(INSTALLDIR)$(_docdir)/GLOBUS_LICENSE
	sed /GLOBUS_LICENSE/d \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist

	# Fix doxygen glitches
	for f in globus_gram_job_manager_configuration.3 \
		 globus_gram_job_manager_job_execution_environment.3 \
		 globus_gram_job_manager_rsl_validation_file.3 \
		 globus_gram_job_manager_rsl.3 ; do \
	  sed 's/P\.RS/P\n.RS/' -i $(INSTALLDIR)$(_mandir)/man3/$$f ; \
	done

	# Use system jquery script
	if [ -r $(INSTALLDIR)$(_docdir)/html/jquery.js ] ; then \
	  rm $(INSTALLDIR)$(_docdir)/html/jquery.js ; \
	  ln -s /usr/share/javascript/jquery/jquery.js \
	    $(INSTALLDIR)$(_docdir)/html/jquery.js ; \
	  echo js:Depends=libjs-jquery >> debian/$(name)-doc.substvars ; \
	else \
	  echo js:Depends= >> debian/$(name)-doc.substvars ; \
	fi

	# Devel package is redundant
	rm $(INSTALLDIR)$(_libdir)/libglobus_seg_job_manager.so
	rm $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist
	rm $(GLOBUSPACKAGEDIR)/$(_name)/pkg_data_$(flavor)_dev.gpt

	# Generate package filelists
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_data.filelist \
	  | sed -e s!^!debian/tmp$(_prefix)! -e s!$(_prefix)/etc!/etc! \
	  > debian/$(name).install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/$(name)-doc.install

	echo debian/tmp/etc/logrotate.d/globus-job-manager \
	  >> debian/$(name).install
	echo debian/tmp/var/lib/globus \
	  >> debian/$(name).install
	echo debian/tmp/var/log/globus \
	  >> debian/$(name).install

binary: binary-arch binary-indep

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -a debian/README
	dh_installchangelogs -a
	dh_install -a --fail-missing
	dh_installman -a
	dh_lintian -a
	dh_link -a
	dh_strip -a --dbg-package=$(name)-dbg
	dh_compress -a
	dh_fixperms -a -X /var/log/globus -X /var/lib/globus/gram_job_state
	dh_perl -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -p $(name)-doc --link-doc=$(name)
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --fail-missing
	dh_installman -i
	dh_link -i
	dh_compress -i -X .tag
	dh_fixperms -i
	dh_perl -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install
