## globus-gram-job-manager 13.33

=== debian/changelog ===
globus-gram-job-manager (13.33-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.1
  * Drop patch globus-gram-job-manager-deps.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 29 Apr 2012 23:12:22 +0200
