## globus-gram-job-manager 13.48

=== debian/changelog ===
globus-gram-job-manager (13.48-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.2
  * Drop patch globus-gram-job-manager-porting.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 23 Jul 2012 13:33:48 +0200
