## globus-gram-job-manager 13.51

=== debian/changelog ===
globus-gram-job-manager (13.51-2) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 May 2013 05:59:08 +0200

globus-gram-job-manager (13.51-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 16 Dec 2012 19:22:59 +0100
