=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-gsi-credential-dev (>= 5), libglobus-scheduler-event-generator-dev (>= 4), libglobus-xio-popen-driver-dev (>= 2), libglobus-xio-dev (>= 3), libglobus-gss-assist-dev (>= 8), libglobus-callout-dev (>= 2), libglobus-gram-job-manager-callout-error-dev (>= 2), libglobus-gssapi-gsi-dev (>= 10), libglobus-gram-protocol-dev (>= 11), libglobus-common-dev (>= 14), libglobus-gsi-sysconfig-dev (>= 5), libglobus-usage-dev (>= 3), libglobus-rsl-dev (>= 9), libglobus-gass-cache-dev (>= 8), libglobus-gass-transfer-dev (>= 7), globus-common-progs (>= 14), libglobus-common-doc (>= 14), libglobus-gram-protocol-doc (>= 11), libssl-dev, libxml2-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: net
-DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gram-job-manager
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gram-job-manager
 Homepage: http://www.globus.org/
