=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 name = globus-gram-job-manager
 _name = globus_gram_job_manager
-version = 13.14
 soname = 13
 
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -17,9 +16,9 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc/$(name)
 
-DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 ia64 kfreebsd-amd64 ppc64 s390x sparc64))
 flavor = gcc64
 else
 flavor = gcc32
