## globus-gram-job-manager 13.53

=== debian/changelog ===
globus-gram-job-manager (13.53-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.5
  * Implement Multi-Arch support
  * Make globus-seg-job-manager a separate package (Due to Multi-Arch)
  * Split dbg package for Multi-Arch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 11 Nov 2013 16:04:04 +0100
