=== debian/control ===
Source: globus-gram-job-manager
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libglobus-callout-dev (>= 2.4), libglobus-gram-protocol-dev (>= 11.3-4~), libglobus-gssapi-gsi-dev (>= 10.10), libglobus-rsl-dev (>= 9.1-4~), libglobus-gsi-sysconfig-dev (>= 5.3-3~), libglobus-gram-job-manager-callout-error-dev (>= 2.1-4~), libglobus-usage-dev (>= 3.1-4~), libglobus-xio-dev (>= 3.6), libglobus-xio-popen-driver-dev (>= 2.3-3~), libglobus-scheduler-event-generator-dev (>= 4.7-3~), libglobus-gss-assist-dev (>= 9), libglobus-gsi-credential-dev (>= 6), libglobus-gass-transfer-dev (>= 7.2-3~), libglobus-common-dev (>= 14.10), libglobus-gass-cache-dev (>= 8.1-4~), libglobus-gram-protocol-doc (>= 11), libglobus-common-doc (>= 14), libssl-dev, libxml2-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
Standards-Version: 3.9.4
Section: net
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gram-job-manager
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gram-job-manager
Homepage: http://www.globus.org/

Package: globus-gram-job-manager
Section: net
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-popen-driver0 (>= 2), globus-gatekeeper (>= 9), globus-proxy-utils (>= 5), globus-gram-job-manager-scripts (>= 4), globus-gass-copy-progs (>= 8), libglobus-gram-protocol3 (>= 11), globus-gass-cache-program (>= 5), globus-seg-job-manager (= ${binary:Version})
Recommends: globus-gram-job-manager-doc (= ${source:Version})
Breaks: globus-gram-job-manager-doc (<< 10.59)
Description: Globus Toolkit - GRAM Jobmanager
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager package contains:
 GRAM Jobmanager

Package: globus-seg-job-manager
Section: libs
Architecture: any
Multi-Arch: same
Replaces: globus-gram-job-manager (<< 13.53)
Breaks: globus-gram-job-manager (<< 13.53)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Globus Toolkit - Scheduler Event Generator Job Manager
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-seg-job-manager package contains:
 Scheduler Event Generator Job Manager

Package: globus-gram-job-manager-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: globus-gram-job-manager (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
Description: Globus Toolkit - GRAM Jobmanager Documentation Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-doc package contains:
 GRAM Jobmanager Documentation Files

Package: globus-gram-job-manager-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: foreign
Depends: globus-gram-job-manager (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - GRAM Jobmanager Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-dbg package contains:
 GRAM Jobmanager Debug Symbols

Package: globus-seg-job-manager-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Replaces: globus-gram-job-manager-dbg (<< 13.53)
Breaks: globus-gram-job-manager-dbg (<< 13.53)
Depends: globus-seg-job-manager (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Scheduler Event Generator Job Manager Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-seg-job-manager-dbg package contains:
 Scheduler Event Generator Job Manager Debug Symbols
