=== debian/rules ===
--- 
+++ 
@@ -11,17 +11,18 @@
 _prefix = /usr
 _bindir = $(_prefix)/bin
 _sbindir = $(_prefix)/sbin
-_libdir = $(_prefix)/lib
+_libdir = $(_prefix)/lib/$(DEB_HOST_MULTIARCH)
 _datadir = $(_prefix)/share
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc/$(name)
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 ia64 kfreebsd-amd64 ppc64 s390x sparc64))
-flavor = gcc64
+DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+ifeq ($(DEB_HOST_ARCH_BITS), 64)
+flavor = gcc64-$(DEB_HOST_MULTIARCH)
 else
-flavor = gcc32
+flavor = gcc32-$(DEB_HOST_MULTIARCH)
 endif
 
 configure: configure-stamp
@@ -29,9 +30,9 @@
 configure-stamp:
 	dh_testdir
 
+	dh_autotools-dev_updateconfig
+
 	aclocal_includes="-I ." /usr/share/globus/globus-bootstrap.sh
-
-	dh_autotools-dev_updateconfig
 
 	./configure \
 	   --disable-static \
@@ -70,10 +71,11 @@
 	# Remove autogenerated files
 
 	rm -f aclocal.m4
+	rm -f compile
 	rm -f configure
-	rm -f config.guess
-	rm -f config.sub
+	rm -f install-sh
 	rm -f ltmain.sh
+	rm -f missing
 	rm -f mkinstalldirs
 
 	rm -f doxygen/Doxyfile*
@@ -90,6 +92,8 @@
 	rm -rf doxygen/doc
 
 	find . -name Makefile.in -exec rm {} ';'
+
+	rm -f depcomp
 
 	rm -f build-stamp configure-stamp
 
@@ -148,8 +152,10 @@
 	rm $(GLOBUSPACKAGEDIR)/$(_name)/pkg_data_$(flavor)_dev.gpt
 
 	# Generate package filelists
+	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
+	  | sed s!^!debian/tmp$(_prefix)! \
+	  > debian/globus-seg-job-manager.install
 	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist \
-	    $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
 	    $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_data.filelist \
 	  | sed -e s!^!debian/tmp$(_prefix)! -e s!$(_prefix)/etc!/etc! \
 	  > debian/$(name).install
@@ -174,7 +180,8 @@
 	dh_installman -a
 	dh_lintian -a
 	dh_link -a
-	dh_strip -a --dbg-package=$(name)-dbg
+	dh_strip -a -X/bin/ -X/sbin/ --dbg-package=globus-seg-job-manager-dbg
+	dh_strip -a -X/lib/ --dbg-package=$(name)-dbg
 	dh_compress -a
 	dh_fixperms -a -X /var/log/globus -X /var/lib/globus/gram_job_state
 	dh_perl -a
